package com.dxhy.core.job.dao;

import com.dxhy.api.model.invoice.TDxRecordInvoice;
import com.dxhy.core.job.entity.TAcOrg;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;


@Mapper
public interface CheckOneDao {


    List<TDxRecordInvoice> getRecordList(@Param("taxNo") String taxNo, @Param("rows") int rows);

    void updateStatus(@Param("invoiceStatus") String invoiceStatus, @Param("uuid") String uuid, @Param("checkSign") String checkSign);

    void updateFailStatus(@Param("taxNo") String taxNo);

    List<TDxRecordInvoice> getRecordListThreeMonth(@Param("taxNo") String taxNo, @Param("rows") int rows,
                                                   @Param("monthBegin") String monthBegin, @Param("monthEnd") String monthEnd);

    //查询所需要查验的发票信息
    List<TAcOrg> getTaxNo();

}
